      program myprog
      implicit none
C
      integer SYSIN/1/, SYSRD/5/, SYSWR/6/, SYSPU/7/
      external myfcn, futil
C
C     initialize unit numbers
C
      call mintio(SYSRD, SYSWR, SYSPU)
      open(unit=SYSRD, file='myprog.mincards', status='OLD')
      open(unit=SYSPU, file='myprog.results', status='UNKNOWN')
C     
C     invoke minuit
C
      call minuit(myfcn, futil)
      end
C
      subroutine futil
      end
